Bug 1680397 - Review Request: combblas - The Combinatorial BLAS Library
Summary: Review Request: combblas - The Combinatorial BLAS Library
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-24 16:10 UTC by Antonio Trande
Modified: 2019-03-19 06:03 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-03-06 06:58:05 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Antonio Trande 2019-02-24 16:10:32 UTC
Spec URL: https://sagitter.fedorapeople.org/combblas/combblas.spec
SRPM URL: https://sagitter.fedorapeople.org/combblas/combblas-1.6.2-0.1.beta2.fc29.src.rpm

Description:
The Combinatorial BLAS (CombBLAS) is an extensible distributed-memory parallel
graph library offering a small but powerful set of linear algebra primitives
specifically targeting graph analytics.

Fedora Account System Username: sagitter

This package is for fedora and epel7

Comment 1 Robert-André Mauchin 2019-02-24 17:04:48 UTC
 - Fix the Source0/1 variable replacement:

Source0:       http://eecs.berkeley.edu/~aydin/%{truename}_FILES/%{truename}_beta_16_2.tgz
Source1:       http://eecs.berkeley.edu/~aydin/%{truename}_FILES/testdata_combblas1.6.1.tgz

 - [!]: If the package is under multiple licenses, the licensing breakdown must be documented in the spec.



Package approved. Please fix the aforementioned issues before import.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* BSL", "GPL (v2 or later)", "Unknown or
     generated", "BSL (v1.0) BSD 3-clause "New" or "Revised" License", "BSD
     2-clause "Simplified" License", "BSD 3-clause "New" or "Revised"
     License", "Expat License", "BSL (v1.0)". 256 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/combblas/review-combblas/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 143360 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     combblas-openmpi , combblas-openmpi-devel , combblas-mpich , combblas-
     mpich-devel , combblas-debuginfo , combblas-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: combblas-openmpi-1.6.2-0.1.beta2.fc31.x86_64.rpm
          combblas-openmpi-devel-1.6.2-0.1.beta2.fc31.x86_64.rpm
          combblas-mpich-1.6.2-0.1.beta2.fc31.x86_64.rpm
          combblas-mpich-devel-1.6.2-0.1.beta2.fc31.x86_64.rpm
          combblas-debuginfo-1.6.2-0.1.beta2.fc31.x86_64.rpm
          combblas-debugsource-1.6.2-0.1.beta2.fc31.x86_64.rpm
          combblas-1.6.2-0.1.beta2.fc31.src.rpm
combblas-openmpi.x86_64: W: spelling-error %description -l en_US analytics -> analytic, analytic s, paralytics
combblas-openmpi-devel.x86_64: W: only-non-binary-in-usr-lib
combblas-openmpi-devel.x86_64: W: no-documentation
combblas-openmpi-devel.x86_64: E: zero-length /usr/include/openmpi-x86_64/CombBLAS/VecIterator.cpp
combblas-mpich.x86_64: W: spelling-error %description -l en_US analytics -> analytic, analytic s, paralytics
combblas-mpich-devel.x86_64: W: only-non-binary-in-usr-lib
combblas-mpich-devel.x86_64: W: no-documentation
combblas-mpich-devel.x86_64: E: zero-length /usr/include/mpich-x86_64/CombBLAS/VecIterator.cpp
combblas.src: W: spelling-error %description -l en_US analytics -> analytic, analytic s, paralytics
7 packages and 0 specfiles checked; 2 errors, 7 warnings.

Comment 2 Antonio Trande 2019-02-24 19:38:12 UTC
Thank you.

Comment 3 Gwyn Ciesla 2019-02-25 15:06:14 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/combblas

Comment 4 Fedora Update System 2019-02-25 19:01:39 UTC
combblas-1.6.2-0.1.beta2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cdc9a97b33

Comment 5 Fedora Update System 2019-02-26 04:11:23 UTC
combblas-1.6.2-0.1.beta2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cdc9a97b33

Comment 6 Fedora Update System 2019-02-27 11:27:46 UTC
combblas-1.6.2-0.1.beta2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7f456d5588

Comment 7 Fedora Update System 2019-02-28 21:54:56 UTC
combblas-1.6.2-0.1.beta2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7f456d5588

Comment 8 Fedora Update System 2019-03-03 19:40:56 UTC
combblas-1.6.2-0.2.beta2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7f456d5588

Comment 9 Fedora Update System 2019-03-04 01:50:33 UTC
combblas-1.6.2-0.2.beta2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7f456d5588

Comment 10 Fedora Update System 2019-03-06 06:58:05 UTC
combblas-1.6.2-0.1.beta2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-03-19 06:03:24 UTC
combblas-1.6.2-0.2.beta2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.